DlcWeaponData refer1: https://github.com/citizenfx/fivem/blob/master/code/client/clrcore/External/DlcWeaponStructs.cs#L10 refer2: https://docs.fivem.net/natives/?_0xBF0FD6E56C964FCB

int emptyCheck; //use DLC1::_IS_DLC_DATA_EMPTY on this int padding1; int weaponHash; int padding2; int unk; int padding3; int weaponCost; int padding4; int ammoCost; int padding5; int ammoType; int padding6; int defaultClipSize; int padding7; char nameLabel[64]; char descLabel[64]; char desc2Label[64]; // usually "the" + name char upperCaseNameLabel[64];

### Hierarchy

- DlcWeaponData

## Index

### Properties

- ammoCost
- ammoType
- defaultClipSize
- desc
- name
- simpleDesc
- unk
- upperCaseName
- validCheck
- weaponCost
- weaponHash

## Properties

### ammoCost

ammoCost: number

- Defined in weapon/DlcWeaponData.ts:35

### ammoType

ammoType: number

- Defined in weapon/DlcWeaponData.ts:36

### defaultClipSize

defaultClipSize: number

- Defined in weapon/DlcWeaponData.ts:37

### desc

desc: string

- Defined in weapon/DlcWeaponData.ts:39

### name

name: string

- Defined in weapon/DlcWeaponData.ts:38

### simpleDesc

simpleDesc: string

- Defined in weapon/DlcWeaponData.ts:40

### unk

unk: number

- Defined in weapon/DlcWeaponData.ts:33

### upperCaseName

upperCaseName: string

- Defined in weapon/DlcWeaponData.ts:41

### validCheck

validCheck: number

- Defined in weapon/DlcWeaponData.ts:31

### weaponCost

weaponCost: number

- Defined in weapon/DlcWeaponData.ts:34

### weaponHash

weaponHash: number

- Defined in weapon/DlcWeaponData.ts:32

Generated using TypeDoc